cURL
curl -X POST "https://app.cotool.ai/sources" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"kind":"rss","name":"string","feedUrl":"string","enabled":true}'import requests
url = "https://app.cotool.ai/sources"
payload = {
"kind": "rss",
"name": "<string>",
"feedUrl": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({kind: 'rss', name: '<string>', feedUrl: '<string>', enabled: true})
};
fetch('https://app.cotool.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"rss\",\n \"name\": \"<string>\",\n \"feedUrl\": \"<string>\",\n \"enabled\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/sources"
payload := strings.NewReader("{\n \"kind\": \"rss\",\n \"name\": \"<string>\",\n \"feedUrl\": \"<string>\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"kind": "rss",
"apiType": "<string>",
"isBuiltIn": true,
"feedUrl": "<string>",
"serverUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"hasApiKey": true,
"enabled": true,
"sourceEnabled": true,
"subscriptionEnabled": true,
"scheduleCron": "<string>",
"maxEntries": 123,
"lastFetchedAt": "<string>",
"lastStatus": "<string>",
"lastError": "<string>",
"itemCountLast24h": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"syncJob": {
"jobId": "<string>",
"status": "pending",
"queuedAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>",
"updatedAt": "<string>",
"attemptCount": 123,
"error": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}API Reference
Create intel source
Creates a custom RSS, MISP, or TAXII intel source
POST
/
sources
cURL
curl -X POST "https://app.cotool.ai/sources" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"kind":"rss","name":"string","feedUrl":"string","enabled":true}'import requests
url = "https://app.cotool.ai/sources"
payload = {
"kind": "rss",
"name": "<string>",
"feedUrl": "<string>",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({kind: 'rss', name: '<string>', feedUrl: '<string>', enabled: true})
};
fetch('https://app.cotool.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"rss\",\n \"name\": \"<string>\",\n \"feedUrl\": \"<string>\",\n \"enabled\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/sources"
payload := strings.NewReader("{\n \"kind\": \"rss\",\n \"name\": \"<string>\",\n \"feedUrl\": \"<string>\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"kind": "rss",
"apiType": "<string>",
"isBuiltIn": true,
"feedUrl": "<string>",
"serverUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"hasApiKey": true,
"enabled": true,
"sourceEnabled": true,
"subscriptionEnabled": true,
"scheduleCron": "<string>",
"maxEntries": 123,
"lastFetchedAt": "<string>",
"lastStatus": "<string>",
"lastError": "<string>",
"itemCountLast24h": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"syncJob": {
"jobId": "<string>",
"status": "pending",
"queuedAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>",
"updatedAt": "<string>",
"attemptCount": 123,
"error": "<string>"
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Response
Successful response
Available options:
rss, api Show child attributes
Show child attributes
Was this page helpful?
⌘I